import pytest
import json

from django.contrib.auth.models import User


def test_mail_api(client, auth):
    page = client.get('/api/mail/')
    assert page.status_code == 200


def test_entries_list(auth, client, exim_data):
    page = client.get('/api/collection/')
    assert page.status_code == 200

    entries = json.loads(page.content.decode())
    assert len(entries) == 23
